Foreman - Bug #23704

Sorting by network address for subnet doesn't work properly
Description

Description of problem:

| am trying to sort subnet table by network address in ascending order and get:

101.125.59.0/9
106.119.91.0/22
10.8.211.0/24
109.49.91.0/15
1.120.66.0/28
116.53.130.0/9
119.71.207.0/11
120.248.160.0/22
120.37.106.0/1
124.74.17.0/7
128.253.63.0/6
130.120.157.0/14
13.51.50.0/8
160.17.140.0/26

which is out of any mathematical system

How reproducible:
Always

Steps to Reproduce:

1. Create 20+ subnets

2. Try to sort them by network address
3.

Actual results:
Subnets sorted chaotically

Expected results:

Subnets sorted in proper numeric order like:
XX IXX. IXX. TXX

1XX.2XX. 1XX. 1XX

2XX. TXX. 1XX. 1XX

Additional info:

Associated revisions

Revision c5565a6d - 03/04/2020 09:08 AM - Marek Hulan
Fixes #23704 - allow subnet order by network
History

#1 - 05/28/2018 03:16 PM - Marek Hulan

- Subject changed from Sorting by network address for subnet doesn't work properly
to Sorting by network address for subnet doesn't work properly

https://stackoverflow.com/questions/2646710/order-by-in-postgresql-to-sort-ip-address - this would work for postgres, scoped search does not allow
this though.

#2 - 05/30/2018 07:20 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Marek Hulan

- Pull request https://github.com/theforeman/foreman/pull/5623 added

#3 - 03/04/2020 09:09 AM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#4 - 03/04/2020 10:01 AM - Marek Hulan
- Status changed from Ready For Testing to Closed

Applied in changeset c5565a6dffd7a55feae1d52e01cc012a73e246e8.
